bugXBoard - Bugs: bug #22812, Parser.c Compile Error on Ubuntu...

 
 

bug #22812: Parser.c Compile Error on Ubuntu 7.10

Submitter:  None
Submitted:  Wed 02 Apr 2008 02:40:56 PM UTC
 
Category:  None Severity:  3 - Normal
Item Group:  None Status:  Fixed
Assigned to:  apersaud Open/Closed:  Closed
Release:  None
* Mandatory Fields

Add a New Comment (Rich Markup)
   

Comment Type & Canned Response:
       No canned response available

 

Sun 01 Mar 2009 09:10:03 AM UTC, comment #5: 

with the new cvs version works fine here (Arch Linux).
Thanks Arun!

Roberto Viola <cagnulein>
Sat 28 Feb 2009 11:00:45 PM UTC, comment #4: 

I only can test under SuSE-linux and there the parser gave the same error... Changed parser.l, perhaps you can give it a try in the current CVS version and let me know if it works for you.

Arun Persaud <apersaud>
Project Administrator
Sat 28 Feb 2009 07:48:40 PM UTC, comment #3: 

Does this bug also occur in the parser.l from version 4.3.15? I never tried any other Linux version than Ubuntu Hardy, and there the parser.l never gave me any trouble. Under Cygwin / Windows there were problems for some versions of flex.

H.G.Muller <hgm>
Project Member
Sat 28 Feb 2009 05:33:38 PM UTC, comment #2: 

not yet, but I got a patch on my system and will upload it in the next few days...

Arun Persaud <apersaud>
Project Administrator
Sat 28 Feb 2009 08:29:48 AM UTC, comment #1: 

did you fix the problem?

Roberto Viola <cagnulein>
Wed 02 Apr 2008 02:40:56 PM UTC, original submission:  

I tried checking out the latest version of xboard, but the parser.c and parser.l combination don't compile.

$ uname -a
Linux desktop 2.6.22-14-generic #1 SMP Tue Feb 12 02:46:46 UTC 2008 x86_64 GNU/Linux

$ make
gcc -DHAVE_CONFIG_H -I. -I.   -DINFODIR=\"/usr/share/info\" -c parser.c
lex.yy.c:2073: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘YY_PROTO’
lex.yy.c:2073: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘YY_PROTO’
lex.yy.c:2073: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘YY_PROTO’
./parser.l: In function ‘yyoffset’:
./parser.l:859: error: ‘yy_current_buffer’ undeclared (first use in this function)
./parser.l:859: error: (Each undeclared identifier is reported only once
./parser.l:859: error: for each function it appears in.)
make: *** [parser.o] Error 1

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

Attached Files
file #15376:  parser.c added by None (142KiB - text/x-csrc)
file #15377:  configure added by None (280KiB - application/octet-stream)
file #15378:  parser.l added by None (23KiB - application/octet-stream)
file #15379:  configure.sh added by None (135B - application/x-shellscript)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by hgm (Posted a comment)
  • -email is unavailable- added by apersaud (Posted a comment)
  • -email is unavailable- added by cagnulein (Posted a comment)
  •  

    There are 0 votes so far. Votes easily highlight which items people would like to see resolved in priority, independently of the priority of the item set by tracker managers.

    Only logged-in users can vote.

     

     

     

     

    Follow 9 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2009-05-27 apersaud StatusReady For Test Fixed
        Open/ClosedOpen Closed
    2009-02-28 apersaud StatusIn Progress Ready For Test
    2009-02-28 apersaud StatusNone In Progress
        Assigned toNone apersaud
    2008-04-02 None Attached File- Added parser.c, #15376
        Attached File- Added configure, #15377
        Attached File- Added parser.l, #15378
        Attached File- Added configure.sh, #15379

    Back to the top


    Powered by Savane 3.9